DiscontinuityCornerCollection Class

class NXOpen.Routing.DiscontinuityCornerCollection

Bases: object

Represents a collection of NXOpen.Routing.DiscontinuityCorner objects.

To obtain an instance of this class, refer to NXOpen.Routing.RouteManager

New in version NX4.0.0.

Methods

Method Description
AreSegmentsDisconnected Checks whether segment1 and segment2 are disconnected at a control point due to a discontinuity corner.
Create Creates a discontinuity corner object at the given NXOpen.Routing.ControlPoint.
GetDiscontinuityCorners Return the discontinuity corners assigned to the input control point.

Method Detail

AreSegmentsDisconnected

DiscontinuityCornerCollection.AreSegmentsDisconnected

Checks whether segment1 and segment2 are disconnected at a control point due to a discontinuity corner.

Signature AreSegmentsDisconnected(segment1, segment2, rcp)

Parameters:
Returns:

TRUE: If the two segments are disconnected.

FALSE: Otherwise . :rtype: bool

New in version NX4.0.0.

License requirements: routing_advanced (“Routing Advanced”), routing_base (“Routing Basic”)

Create

DiscontinuityCornerCollection.Create

Creates a discontinuity corner object at the given NXOpen.Routing.ControlPoint.

There must be two input NXOpen.Routing.ISegment objects, and they both must reference the input NXOpen.Routing.ControlPoint object.

Signature Create(rcp, firstSegment, secondSegment)

Parameters:
Returns:

The new disc corner object.

Return type:

NXOpen.Routing.DiscontinuityCorner

New in version NX4.0.0.

License requirements: routing_advanced (“Routing Advanced”), routing_base (“Routing Basic”)

GetDiscontinuityCorners

DiscontinuityCornerCollection.GetDiscontinuityCorners

Return the discontinuity corners assigned to the input control point.

There may be more than one discontinuity corner assigned to input control point. This may occur for example when four segments form a cross, the control point at the center may have two discontinuity corners assigned. One corner will force stock to split when crossing the horizontal segments, the other will cause stock to split when crossing the vertical segments.

Signature GetDiscontinuityCorners(rcp)

Parameters:rcp (NXOpen.Routing.ControlPoint) – The control point
Returns:Corner objects pointing to the rcp.
Return type:list of NXOpen.Routing.DiscontinuityCorner

New in version NX4.0.0.

License requirements: routing_advanced (“Routing Advanced”), routing_base (“Routing Basic”)